Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence.processinstance
Class JPAProcessInstanceManager

    java.lang.Object
      org.jbpm.persistence.processinstance.JPAProcessInstanceManager

All Implemented Interfaces:
  ProcessInstanceManager

    public class JPAProcessInstanceManager

extends Object
implements ProcessInstanceManager

This is an implementation of the `ProcessInstanceManager` that uses JPA.

What's important to remember here is that we have a jbpm-console which has 1 static (stateful) knowledge session which is used by multiple threads: each request sent to the jbpm-console is picked up in it's own thread. This means that multiple threads can be using the same instance of this class.

Constructor Summary
`JPAProcessInstanceManager()`

Method Summary
`void` | `addProcessInstance(ProcessInstance processInstance)`
`void` | `clearProcessInstances()`
`void` | `clearProcessInstancesState()`
`ProcessInstance` | `getProcessInstance(long id)`
`Collection<ProcessInstance>` | `getProcessInstances()`
`void` | `internalAddProcessInstance(ProcessInstance processInstance)`
`void` | `internalRemoveProcessInstance(ProcessInstance processInstance)`
`void` | `removeProcessInstance(ProcessInstance processInstance)`
`void` | `setKnowledgeRuntime(org.drools.common.InternalKnowledgeRuntime kruntime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPAProcessInstanceManager

    public JPAProcessInstanceManager()

Method Detail

### setKnowledgeRuntime

    public void setKnowledgeRuntime(org.drools.common.InternalKnowledgeRuntime kruntime)

### addProcessInstance

    public void addProcessInstance(ProcessInstance processInstance)

  Specified by:
    `addProcessInstance` in interface `ProcessInstanceManager`

### internalAddProcessInstance

    public void internalAddProcessInstance(ProcessInstance processInstance)

  Specified by:
    `internalAddProcessInstance` in interface `ProcessInstanceManager`

### getProcessInstance

    public ProcessInstance getProcessInstance(long id)

  Specified by:
    `getProcessInstance` in interface `ProcessInstanceManager`

### getProcessInstances

    public Collection<ProcessInstance> getProcessInstances()

  Specified by:
    `getProcessInstances` in interface `ProcessInstanceManager`

### removeProcessInstance

    public void removeProcessInstance(ProcessInstance processInstance)

  Specified by:
    `removeProcessInstance` in interface `ProcessInstanceManager`

### internalRemoveProcessInstance

    public void internalRemoveProcessInstance(ProcessInstance processInstance)

  Specified by:
    `internalRemoveProcessInstance` in interface `ProcessInstanceManager`

### clearProcessInstances

    public void clearProcessInstances()

  Specified by:
    `clearProcessInstances` in interface `ProcessInstanceManager`

### clearProcessInstancesState

    public void clearProcessInstancesState()

  Specified by:
    `clearProcessInstancesState` in interface `ProcessInstanceManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.